﻿using UnityEngine;

namespace RocketRevenueTracker
{
    [System.Serializable]
    internal struct RevenueInfoDTO
    {
        [Tooltip("In dollars (float)\nExample: 0.10 dollar means 10 cents")]
        public float Threshold;
        [Tooltip("In cents with prefix _ (string)\nExample: _10 means 10 cents")]
        public string Suffix;

        public RevenueInfoDTO(float threshold = 10f, string suffix = "_1000")
        {
            Threshold = threshold;
            Suffix = suffix;
        }
    }
}